<script type="text/javascript">
	$(document).ready(function(){
		
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tglaw").val(data.tanggal);
				$("#txt_tglak").val(data.tanggal);
			}
		});
	}
	
	$("#txt_tanggal").focus();
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namapl').keyup(function(){
		cari_nomor();
		$('#form_cari_plg').dialog('open');
		return false;
	});
	
	$('#txt_namapl').click(function(){
		cari_nomor();
		$('#form_cari_plg').dialog('open');
		return false;
	});
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$('#txt_tanggal').focus();
				$("#txt_cariplg").focus();
			}
		});
	}
	
	$("#txt_cariplg").keyup(function(){
		var cari= $("#txt_cariplg").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_plg").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});
	
	$("#cari_piut").click(function(){
		var kodepl= $("#txt_kodepl").val();
		var tglaw = $("#txt_tglaw").val();
		var tglak = $("#txt_tglak").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/rekam_data_tmp.php",
			data	: "kodepl="+kodepl+
				"&tglaw="+tglaw+
				"&tglak"+tglak,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pd").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#txt_tbayar").val(data.tbayar);
				tampil_detail();
			}
		});
	});
	
	function tampil_detail(){
		$("#data_detail").load("modul/pener_piut/tampil_data_tmp.php?");
	}
	
	$('#form_cari_pd').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_nofak").keyup(function(){
		$('#form_cari_pd').dialog('open');
		cari_pd();
		return false;
	});
	
	$("#txt_nofak").click(function(){
		$('#form_cari_pd').dialog('open');
		cari_pd();
		return false;
	});

	function cari_pd(){
		var no=1;

		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_batal_tmp.php",
			data	: "no="+no,
			dataType: "json",
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pd").html("<img src='loading.gif' />");			
			},
			success	: function(data){
				$("#info_pd").html(data);
			}
		});
	}

	$("#txt_dibayar").keyup(function(){
		var jmlpiut = $("#txt_jmlpiut").val();
		var dibayar = $("#txt_dibayar").val();
		var jpiut	= parseInt(jmlpiut);
		var jbayar	= parseInt(dibayar);
		var jsisa	= jpiut-jbayar;
		
		if(jbayar>jpiut){
			alert('Maaf, jumlah dibayar tidak boleh melebihi nominal.');
			return(false);
		}
		$("#txt_sisa").val(jsisa);
	});
	
	$("#simpan").click(function(){
		simpan_tmp();
	});
			
	function simpan_tmp(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	kodepl  = $("#txt_kodepl").val();		
		var	namapl 	= $("#txt_namapl").val();
		var	tglaw 	= $("#txt_tglaw").val();
		var	tglak  	= $("#txt_tglak").val();
		var	nofak  	= $("#txt_nofak").val();
		var	tglfak 	= $("#txt_tglfak").val();
		var	nopol  	= $("#txt_nopol").val();
		var	jmlpiut	= $("#txt_jmlpiut").val();
		var	dibayar	= $("#txt_dibayar").val();
		var	sisa  	= $("#txt_sisa").val();
		
		var error = false;

		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		if(nofak.length == 0){
           alert("Maaf, Kolom nomor faktur masih kosong. Kolom ini untuk memanggil data yang sudah dihapus.");
		   $("#txt_nofak").focus();
		   return (false);
        }
		
		if(dibayar.length == 0){
			alert("Maaf, Kolom dibayar harus diiisi.");
			$("#txt_dibayar").focus();
			return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/simpan.php",
			data	: "&nofak="+nofak+
					"&tglfak="+tglfak+
					"&nopol="+nopol+
					"&jmlpiut="+jmlpiut+
					"&dibayar="+dibayar+
					"&sisa="+sisa,
			dataType: "json",
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_tbayar").val(data.tbayar);
				$("#txt_nofak").focus();
				tampil_detail();				
			}
		});
		}
		return false;
	}
	
	$("#simpan_ppi").click(function(){
		rekam_ppi();
	});
	
	function rekam_ppi(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	kodepl  = $("#txt_kodepl").val();		
		var	namapl 	= $("#txt_namapl").val();
		var	tglaw 	= $("#txt_tglaw").val();
		var	tglak  	= $("#txt_tglak").val();
		var	tbayar 	= $("#txt_tbayar").val();
		
		var error = false;

		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		if(tbayar.length == 0){
           alert("Maaf, Data pembayaran masih kosong. Tentukan tanggal jual, lalu klik Cari data.");
		   $("#txt_tglaw").focus();
		   return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/simpan_ppi.php",
			data	: "&kode="+kode+
					"&tanggal="+tanggal+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&tglaw="+tglaw+
					"&tglak="+tglak+
					"&tbayar="+tbayar,					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_header").val('');
			}
		});
		}
		return false;
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#cari_produk{
	cursor:pointer;
}
#cari_buyer{
	cursor:pointer;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<td width='11.5%'>Kode PPI</td>
		<td>:</td>
		<td><input type='text' name='txt_kode' id='txt_kode' size='8' class='input_header' readonly />
		</td>
		<td>Tanggal</td>
		<td>:</td>
		<td><input type='date' name='txt_tanggal' id='txt_tanggal'></td>
		<td>Pelanggan</td>
		<td>:</td>
		<td>			
			<input type='text' name='txt_namapl' id='txt_namapl' size='21' class='input_header'>
			<input type='text' name='txt_kodepl' id='txt_kodepld' size='4' class='input_header' readonly />
		</td>
	</tr>
	</table>
	
	<table>
	<tr>
		<td>Tanggal Jual</td>
		<td>:</td>
		<td><input type='date' name='txt_tglaw' id='txt_tglaw'></td>
		<td>s/d</td>
		<td><input type='date' name='txt_tglak' id='txt_tglak'></td>
		<td><button name='cari_piut' id='cari_piut'>Cari Data</button></td>
		<td width='1%'></td>
		<td>Total Dibayar</td>
		<td>:</td>
		<td><input type='text' name='txt_tbayar' id='txt_tbayar' size='10' class='input_header' readonly /></td>
	</tr>
	</table>
	<hr>";

echo "<table width='100%' >
		<tr>
			<th>No. Faktur</th>
			<th>Tanggal</th>
			<th>No. Polisi</th>
			<th>Nominal</th>
			<th>Dibayar</th>
			<th>Sisa</th>
		</tr>		
		<tr>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input' size='9'></td>
			<td align='center'><input type='date' name='txt_tglfak' id='txt_tglfak' class='input' readonly /></td>
			<td align='center'><input type='text' name='txt_nopol' id='txt_nopol' class='input' size='9' ></td>
			<td align='center'><input type='text' name='txt_jmlpiut' id='txt_jmlpiut' class='input' size='9' readonly /></td>
			<td align='center'><input type='text' name='txt_dibayar' id='txt_dibayar' class='input_bayar' size='8'></td>
			<td align='center'><input type='text' name='txt_sisa' id='txt_sisa' class='input_detail' size='8' ></td>
			<td>
				<button name='simpan' id='simpan'>Rekam</button>
			</td>
		</tr>
	</table>";

echo "<table align='center'>
		<tr>
			<td>
				<button name='simpan_ppi' id='simpan_ppi'>Rekam Penerimaan</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Pelanggan</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_cariplg' id='txt_cariplg' size='40'</td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";

echo "<div id='form_cari_pd' title='Pencarian Data Piutang'>
		<table width='100%'>
			<td>
				<td width='20%'>Cari No.Faktur</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caripd' id='txt_caripd' size='30'</td>
			</td>
		</table>
		<div id='info_pd' align='center'></div>
	</div>";
?>
